LISTW(3)

PACKAGE
listw - Routines to manage list widgets

PURPOSE
These routines are meant to provide a simple mechanism to display a list of strings. NOTE: THIS PACKAGE IS WORK IN PROGRESS. THE INTERFACE MAY CHANGE IN THE NEXT RELEASE, POSSIBLY WITHOUT NOTICE.

LIBRARY
karmagraphics

LINK WITH
-lkarmagraphics

FUNCTIONS

listw_create
    Create a list widget.

listw_bind
    Bind a list widget to a pixel canvas.

listw_destroy
    Destroy a list widget

listw_register_position_event_func
    Register position event callback.

listw_get_attributes
    Get list widget attributes.

listw_set_attributes
    Set list widget attributes.

listw_register_att_notify_func
    Register an attribute change function.

listw_PROTO_position_func
    Position event callback.

listw_PROTO_att_notify_func
    Registers a change in the attributes of a list widget.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/